#include <gtest/gtest.h>

extern "C" int strtoi(const char *, const char **);

TEST(negative_nums, case1)
{
        const char *end;

        EXPECT_EQ(strtoi("-1", &end), -1);
        EXPECT_TRUE(strtoi("-123", &end) == -123 && *end == 0); 
}

TEST(negative_nums, case2)
{
        /* ... */
        /* ... */
}

TEST(notanum, string_prefix)
{
        const char *end;
        ASSERT_TRUE(strtoi("assd", &end) && end == NULL);
}

TEST(notanum, whitespaces)
{
        /* ... */
}

int main(int argc, char *argv[])
{
        /* initialize google test framework */
        ::testing::InitGoogleTest(&argc, argv);

        /* run all tests */
        return RUN_ALL_TESTS();
}
